API ReferenceTools
Authorization
bearerAuth AuthorizationBearer <token>
appSecret or sessionToken
In: header
Request Body
application/json
sessionId*string
Client session ID
toolName*string
Tool name
parameters?string
Serialized parameters JSON
result?string
Serialized execution result
status*string
success | error | validation_error
durationMs?number
Execution duration in milliseconds
executedAt?number
Execution timestamp (ms)
traceId?string
Distributed trace ID
spanId?string
Distributed span ID
source?string
Source transport, e.g. agent_datachannel
Response Body
application/json
curl -X POST "https://your-convex-deployment.convex.site/api/tools/log" \ -H "Content-Type: application/json" \ -d '{ "sessionId": "string", "toolName": "string", "status": "string" }'{}Edit on GitHub
Last updated on